From 89ec99a02fe593384469d91c1b6435f2c86b587e Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Mon, 21 Nov 2022 01:08:19 +0800
Subject: [PATCH 1/2] time_stamp_counter_stubs.c: add legacysupport header for
 clock_gettime

---
 time_stamp_counter/src/time_stamp_counter_stubs.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/time_stamp_counter/src/time_stamp_counter_stubs.c b/time_stamp_counter/src/time_stamp_counter_stubs.c
index 5d5ec32..1cf0ee1 100644
--- a/time_stamp_counter/src/time_stamp_counter_stubs.c
+++ b/time_stamp_counter/src/time_stamp_counter_stubs.c
@@ -17,6 +17,11 @@
 #ifdef __MACH__
 #include <mach/clock.h>
 #include <mach/mach.h>
+
+#include <AvailabilityMacros.h>
+#if MAC_OS_X_VERSION_MAX_ALLOWED <= 101100
+#include <LegacySupport/time.h>
+#endif
 #endif
 
 #include "ocaml_utils.h"

--- a/time_stamp_counter/src/dune	2023-04-25 21:12:26.000000000 +0800
+++ b/time_stamp_counter/src/dune	2023-10-25 20:10:11.000000000 +0800
@@ -1,7 +1,7 @@
 (library (name time_stamp_counter) (public_name core_unix.time_stamp_counter)
  (preprocess (pps ppx_jane ppx_optcomp)) (preprocessor_deps config.h)
- (c_names time_stamp_counter_stubs)
+ (c_names time_stamp_counter_stubs) (c_library_flags -lMacportsLegacySupport)
  (libraries core core_unix ocaml_intrinsics))
 
 (rule (targets config.h) (deps)
- (action (bash "cp %{lib:jst-config:config.h} %{targets}")))
\ No newline at end of file
+ (action (bash "cp %{lib:jst-config:config.h} %{targets}")))
